## boost-defaults 1.54.0.1tanglu1

=== debian/changelog ===
boost-defaults (1.54.0.1tanglu1) staging; urgency=low

  * Re-ran create-boost-defaults-control.py against boost1.54 1.54.0-4.
   - Added missing libboost-tools-dev package.
   - Added appropriate Multi-Arch: headers.
   - Updated Description texts.

 -- Jon Severinsson <jon@severinsson.net>  Sat, 25 Jan 2014 18:00:00 +0100

boost-defaults (1.54.0.1) unstable; urgency=low

  * Set default Boost to 1.54.0.

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 Aug 2013 18:52:06 -0500

boost-defaults (1.49.0.2) unstable; urgency=low

  * libboost-doc.README.Debian: New.  Explain BOOST_ROOT.  
    Closes: #687524.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Sep 2012 20:54:48 -0500
