## boost-defaults 1.54.0.1ubuntu1

=== debian/changelog ===
boost-defaults (1.54.0.1ubuntu1) devel; urgency=low

  * Set default Boost to 1.54.0
  * Regenerate with Multi-Arch fields.
  * Add tools-dev package.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 18 Oct 2013 10:26:42 +0100
