=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Homepage: http://www.boost.org/
 Section: libs
 Priority: optional
-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9), libboost1.54-dev (>= 1.54.0)
 Standards-Version: 3.9.4
@@ -36,11 +37,7 @@
  already been proposed for inclusion in the C++ Standards Committee's
  upcoming C++ Standard Library Technical Report.
  .
- This package provides headers for all Boost libraries.
- .
- Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
- required to use the Boost.Multiprecision wrapping of the respective
- library.
+ This package provides headers.
  .
  For the following subprojects separate packages exist: chrono,
  date-time, exception filesystem, graph, iostreams, locale, math, mpi,
@@ -288,3 +285,7 @@
  class hierarchies and to help write exception handling and error
  reporting code.
  .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.54).
+
+Package: libboost-filesystem-dev
