## boost-defaults 1.55.0.1~ubuntu1

=== debian/changelog ===
boost-defaults (1.55.0.1~ubuntu1) utopic; urgency=high

  * Upload to utopic, ahead of passing experimental new queue.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 24 Apr 2014 01:48:13 +0100

boost-defaults (1.55.0.1) experimental; urgency=medium

  * Set default Boost to 1.55.0.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 24 Apr 2014 00:57:00 +0100
