=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: debhelper (>= 9), libboost1.54-dev (>= 1.54.0)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libboost1.55-dev (>= 1.55.0)
+Standards-Version: 3.9.5
 
 Package: libboost-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libboost-dev (= ${binary:Version}), ${misc:Depends}, libboost1.54-dbg
+Depends: libboost-dev (= ${binary:Version}), ${misc:Depends}, libboost1.55-dbg
 Description: Boost C++ Libraries with debug symbols (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -21,12 +21,13 @@
  programs which use Boost. These must be used also at build/link time.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-dev
 Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost1.54-dev
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libboost1.55-dev
 Suggests: libboost-doc
 Description: Boost C++ Libraries development files (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
@@ -37,7 +38,11 @@
  already been proposed for inclusion in the C++ Standards Committee's
  upcoming C++ Standard Library Technical Report.
  .
- This package provides headers.
+ This package provides headers for all Boost libraries.
+ .
+ Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
+ required to use the Boost.Multiprecision wrapping of the respective
+ library.
  .
  For the following subprojects separate packages exist: chrono,
  date-time, exception filesystem, graph, iostreams, locale, math, mpi,
@@ -45,13 +50,13 @@
  thread, timer, and wave.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-tools-dev
 Architecture: any
 Multi-Arch: foreign
 Section: libdevel
-Depends: ${misc:Depends}, libboost1.54-tools-dev
+Depends: ${misc:Depends}, libboost1.55-tools-dev
 Description: Boost C++ Libraries development tools (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -65,7 +70,7 @@
  inspect, boostbook and quickbook.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-all-dev
 Architecture: any
@@ -112,13 +117,13 @@
  including all separately-packaged libraries.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-doc
 Homepage: http://www.boost.org/libs/
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libboost1.54-doc
+Depends: ${misc:Depends}, libboost1.55-doc
 Description: Boost.org libraries documentation (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -133,14 +138,14 @@
  so it is suggested to install the latter as well.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-atomic-dev
 Homepage: http://www.boost.org/libs/atomic/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-atomic1.54-dev
+Depends: ${misc:Depends}, libboost-atomic1.55-dev
 Description: atomic data types, operations, and memory ordering constraints (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -160,14 +165,14 @@
  locking.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-chrono-dev
 Homepage: http://www.boost.org/libs/chrono/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-chrono1.54-dev
+Depends: ${misc:Depends}, libboost-chrono1.55-dev
 Description: C++ representation of time duration, time point, and clocks (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -207,14 +212,14 @@
  time_point to permit using emulated auto with C++03 compilers.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-context-dev
 Homepage: http://www.boost.org/libs/context/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-context1.54-dev
+Depends: ${misc:Depends}, libboost-context1.55-dev
 Description: provides a sort of cooperative multitasking on a single thread (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -229,13 +234,13 @@
  to C# keyword yield in C++.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-coroutine-dev
 Homepage: http://www.boost.org/libs/coroutine/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-coroutine1.54-dev
+Depends: ${misc:Depends}, libboost-coroutine1.55-dev
 Description: provides a sort of cooperative multitasking on a single thread (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -255,14 +260,14 @@
  The implementation uses Boost.Context for context switching.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-date-time-dev
 Homepage: http://www.boost.org/libs/date_time/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-date-time1.54-dev
+Depends: ${misc:Depends}, libboost-date-time1.55-dev
 Description: set of date-time libraries based on generic programming concepts (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -270,22 +275,15 @@
  almost as simple and natural as programming with strings and integers.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
+ Boost version (currently 1.55).
 
 Package: libboost-exception-dev
 Homepage: http://www.boost.org/libs/exception/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-exception1.54-dev
+Depends: ${misc:Depends}, libboost-exception1.55-dev
 Description: library to help write exceptions and handlers (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
  The purpose of Boost Exception is to ease the design of exception
- class hierarchies and to help write exception handling and error
- reporting code.
- .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.54).
-
-Package: libboost-filesystem-dev
