## boost-defaults 1.55.0.2

=== debian/changelog ===
boost-defaults (1.55.0.2) unstable; urgency=medium

  * Upload to unstable.
    - control file was regenerated in 1.55.0.1 (Closes: #736627, #720160)

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 May 2014 23:09:16 -0500
