=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Homepage: http://www.boost.org/
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
+Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9), libboost1.55-dev (>= 1.55.0)
 Standards-Version: 3.9.5
@@ -287,3 +286,6 @@
  This package forms part of the Boost C++ Libraries collection.
  .
  The purpose of Boost Exception is to ease the design of exception
+ class hierarchies and to help write exception handling and error
+ reporting code.
+ .
