## boost-defaults 1.58.0.0ubuntu1

=== debian/changelog ===
boost-defaults (1.58.0.0ubuntu1) wily; urgency=medium

  * Set default Boost to 1.58.0.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Jul 2015 10:15:40 +0200

boost-defaults (1.57.0.1ubuntu1) wily; urgency=medium

  * Fix dependencies on g++.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 22:40:52 +0200

boost-defaults (1.57.0.1) experimental; urgency=medium

  * Upload to experimental.
  * Set default to 1.57.0 with C++'11 ABI. (Closes: #783002, #773111)
  * Add dependencies to ensure C++'11 ABI capable tool chain is pulled from experimental. (Closes: #790351)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 01 Jul 2015 12:23:21 +0100
