=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: debhelper (>= 9), libboost1.55-dev (>= 1.55.0)
+Build-Depends: debhelper (>= 9), libboost1.58-dev (>= 1.58.0)
 Standards-Version: 3.9.5
 
 Package: libboost-dbg
@@ -12,7 +12,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libboost-dev (= ${binary:Version}), ${misc:Depends}, libboost1.55-dbg
+Depends: libboost-dev (= ${binary:Version}), g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost1.58-dbg
 Description: Boost C++ Libraries with debug symbols (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -20,13 +20,13 @@
  programs which use Boost. These must be used also at build/link time.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost1.55-dev
+Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost1.58-dev
 Suggests: libboost-doc
 Description: Boost C++ Libraries development files (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
@@ -49,13 +49,13 @@
  thread, timer, and wave.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-tools-dev
 Architecture: any
 Multi-Arch: foreign
 Section: libdevel
-Depends: ${misc:Depends}, libboost1.55-tools-dev
+Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost1.58-tools-dev
 Description: Boost C++ Libraries development tools (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -69,7 +69,7 @@
  inspect, boostbook and quickbook.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-all-dev
 Architecture: any
@@ -116,13 +116,13 @@
  including all separately-packaged libraries.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-doc
 Homepage: http://www.boost.org/libs/
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libboost1.55-doc
+Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost1.58-doc
 Description: Boost.org libraries documentation (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -137,14 +137,14 @@
  so it is suggested to install the latter as well.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-atomic-dev
 Homepage: http://www.boost.org/libs/atomic/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-atomic1.55-dev
+Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-atomic1.58-dev
 Description: atomic data types, operations, and memory ordering constraints (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -164,14 +164,14 @@
  locking.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-chrono-dev
 Homepage: http://www.boost.org/libs/chrono/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-chrono1.55-dev
+Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-chrono1.58-dev
 Description: C++ representation of time duration, time point, and clocks (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -211,14 +211,14 @@
  time_point to permit using emulated auto with C++03 compilers.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-context-dev
 Homepage: http://www.boost.org/libs/context/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-context1.55-dev
+Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-context1.58-dev
 Description: provides a sort of cooperative multitasking on a single thread (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -233,13 +233,14 @@
  to C# keyword yield in C++.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-coroutine-dev
 Homepage: http://www.boost.org/libs/coroutine/
 Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost-coroutine1.55-dev
+Multi-Arch: same
+Section: libdevel
+Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-coroutine1.58-dev
 Description: provides a sort of cooperative multitasking on a single thread (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -259,33 +260,17 @@
  The implementation uses Boost.Context for context switching.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
+ Boost version (currently 1.58).
 
 Package: libboost-date-time-dev
 Homepage: http://www.boost.org/libs/date_time/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-date-time1.55-dev
+Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-date-time1.58-dev
 Description: set of date-time libraries based on generic programming concepts (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
  These libraries are intended to make programming with dates and times
  almost as simple and natural as programming with strings and integers.
  .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.55).
-
-Package: libboost-exception-dev
-Homepage: http://www.boost.org/libs/exception/
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libboost-exception1.55-dev
-Description: library to help write exceptions and handlers (default version)
- This package forms part of the Boost C++ Libraries collection.
- .
- The purpose of Boost Exception is to ease the design of exception
- class hierarchies and to help write exception handling and error
- reporting code.
- .
