## boost-defaults 1.58.0.1ubuntu1

=== debian/changelog ===
boost-defaults (1.58.0.1ubuntu1) xenial; urgency=medium

  * Drop compiler ABI dependencies, breaks cross-compilation. LP: #1552914

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Apr 2016 13:26:05 +0100

boost-defaults (1.58.0.1) unstable; urgency=medium

  * Set default to 1.58.0 with C++'11 ABI. (Closes: #783002, #773111)
  * Add dependencies to ensure C++'11 ABI capable tool chain is pulled. (Closes: #790351)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 01 Jul 2015 12:23:21 +0100
