=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Homepage: http://www.boost.org/
 Section: libs
 Priority: optional
-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9), libboost1.58-dev (>= 1.58.0)
 Standards-Version: 3.9.5
@@ -12,7 +13,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libboost-dev (= ${binary:Version}), g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost1.58-dbg
+Depends: libboost-dev (= ${binary:Version}), ${misc:Depends}, libboost1.58-dbg
 Description: Boost C++ Libraries with debug symbols (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -26,7 +27,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost1.58-dev
+Depends: ${misc:Depends}, libboost1.58-dev
 Suggests: libboost-doc
 Description: Boost C++ Libraries development files (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
@@ -55,7 +56,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: libdevel
-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost1.58-tools-dev
+Depends: ${misc:Depends}, libboost1.58-tools-dev
 Description: Boost C++ Libraries development tools (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -122,7 +123,7 @@
 Homepage: http://www.boost.org/libs/
 Architecture: all
 Section: doc
-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost1.58-doc
+Depends: ${misc:Depends}, libboost1.58-doc
 Description: Boost.org libraries documentation (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -144,7 +145,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-atomic1.58-dev
+Depends: ${misc:Depends}, libboost-atomic1.58-dev
 Description: atomic data types, operations, and memory ordering constraints (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -171,7 +172,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-chrono1.58-dev
+Depends: ${misc:Depends}, libboost-chrono1.58-dev
 Description: C++ representation of time duration, time point, and clocks (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -218,7 +219,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-context1.58-dev
+Depends: ${misc:Depends}, libboost-context1.58-dev
 Description: provides a sort of cooperative multitasking on a single thread (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -240,7 +241,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-coroutine1.58-dev
+Depends: ${misc:Depends}, libboost-coroutine1.58-dev
 Description: provides a sort of cooperative multitasking on a single thread (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -267,10 +268,23 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-11), libstdc++-5-dev (>= 5.2.1-11), ${misc:Depends}, libboost-date-time1.58-dev
+Depends: ${misc:Depends}, libboost-date-time1.58-dev
 Description: set of date-time libraries based on generic programming concepts (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
  These libraries are intended to make programming with dates and times
  almost as simple and natural as programming with strings and integers.
  .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.58).
+
+Package: libboost-exception-dev
+Homepage: http://www.boost.org/libs/exception/
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libboost-exception1.58-dev
+Description: library to help write exceptions and handlers (default version)
+ This package forms part of the Boost C++ Libraries collection.
+ .
+ The purpose of Boost Exception is to ease the design of exception
