## boost-defaults 1.58.0.2

=== debian/changelog ===
boost-defaults (1.58.0.2) unstable; urgency=medium

  * control: regenerate from 1.58.0+dfsg-5.1 to pick up architecture
    changes in libboost-context-dev and libboost-coroutine-dev.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Jun 2016 23:43:22 -0500
